/**
 * This class runs a series of tests of the Rational class
 * Uncomment each test as you wish to use it!
 * 
 * @author Joel Ross (adapted from Chuck Hommel)
 * @version Fa13
 */
public class RationalTester
{
    
    public static void main(String[] args)
    {
        /* Testing Rational constructor */
        Rational r1 = new Rational(1,2);
        
        /* Testing Rational toString() */
        System.out.println("Rational(1,2): " + r1);
        System.out.println();
        
        /* Testing getters and setters */
        Rational r2 = new Rational(0,1);
        System.out.println("New rational 0/1: "+r2);
        r2.setNumerator(13);
        System.out.println("After set num to 13: "+r2);
        r2.setDenominator(42);
        System.out.println("After set denom to 42: "+r2);
        System.out.println("Testing getNumerator for 13: "+r2.getNumerator());
        System.out.println("Testing getDenominator for 42: "+r2.getDenominator());
        System.out.println();

        /* Testing add method */
        Rational r3 = new Rational(1,2);
        Rational r4 = new Rational(5,4);
        Rational r5 = new Rational(7,9);
        Rational rNew = r3.add(r4);
        System.out.println("old Rational(1,2): "+r3);
        System.out.println("old Rational(5,4): "+r4);
        System.out.println("new Rational(1/2+5/4 = 14/8): "+rNew);
        System.out.println("5/4+7/9 (73/36): " + r4.add(r5));
        System.out.println();
    }
}
